Listar mensagens agendadas
curl --request GET \
--url https://api.jurichat.com/scheduled-message/ \
--header 'x-jurichat-api-key: <api-key>'import requests
url = "https://api.jurichat.com/scheduled-message/"
headers = {"x-jurichat-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-jurichat-api-key': '<api-key>'}};
fetch('https://api.jurichat.com/scheduled-message/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"conversationId": "<string>",
"userId": "<string>",
"type": "<string>",
"scheduledAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"conversation": {
"id": "<string>",
"person": {
"id": "<string>",
"name": "<string>",
"phoneNumber": "<string>"
},
"group": {
"id": "<string>",
"name": "<string>"
},
"integration": {
"id": "<string>",
"channel": "<string>"
}
},
"content": "<unknown>",
"metadata": "<unknown>"
}
],
"totalResults": 123,
"totalPages": 123
}{
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}ScheduledMessages
Listar mensagens agendadas
Lista mensagens agendadas com filtros por conversa, inbox e status. page padrão 1, limit padrão 20.
GET
/
scheduled-message
/
Listar mensagens agendadas
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Query Parameters
Número da página.
Quantidade de itens por página.
Filtra pelo ID da conversa.
Pattern:
^[cC][^\s-]{8,}$Filtra pelo ID da inbox.
Pattern:
^[cC][^\s-]{8,}$Filtra pelo status do agendamento.
Available options:
PENDING, SENT, CANCELLED ⌘I